Last Comment Bug 780278 - Sidebar "Tabs" dropdown doesn't display properly on Linux
: Sidebar "Tabs" dropdown doesn't display properly on Linux
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Sidebar (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: seamonkey2.14
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 14:08 PDT by neil@parkwaycc.co.uk
Modified: 2012-08-05 09:52 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (633 bytes, patch)
2012-08-03 14:09 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
philip.chee: feedback+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2012-08-03 14:08:13 PDT
Toolkit defines a 25px height for the sidebarheader element on both Linux and Windows. This is OK on Windows, because that's the default height of our sidebarheader anyway. However, on Linux, this height isn't enough to display a menubutton correctly. I don't want to change toolkit because there are people using sidebarheader all over the shop.
Comment 1 neil@parkwaycc.co.uk 2012-08-03 14:09:42 PDT
Created attachment 648849 [details] [diff] [review]
Proposed patch
Comment 2 Philip Chee 2012-08-04 10:08:16 PDT
Comment on attachment 648849 [details] [diff] [review]
Proposed patch

> Toolkit defines a 25px height for the sidebarheader element on both Linux and
> Windows. This is OK on Windows, because that's the default height of our
> sidebarheader anyway. However, on Linux, this height isn't enough to display a
> menubutton correctly. I don't want to change toolkit because there are people
> using sidebarheader all over the shop.

In Windows7 Classic theme, the height is 25px with or without your patch.
In Windows7 Aero theme, the height jumps from 25px to 28px with your patch installed. But that's OK because without your patch the height isn't enough to display the menubutton correctly either.

As an aside the background colour (some sort of dark grey), in fact the whole styling of the sidebar header is extremely ugly. The background colour doesn't match anything else in the navigator window, in either Classic or Aero mode. In particular it looks totally out of place in Aero. Can something be done?
Comment 3 Philip Chee 2012-08-05 09:52:00 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/702c3b2337ab

Note You need to log in before you can comment on or make changes to this bug.